import { FieldValues } from 'react-hook-form';
import { DefaultInputComponentProps } from 'react-phone-number-input';
import { DefaultFormValues, Props } from 'react-phone-number-input/react-hook-form';

type PhoneInputProps<FormValues, InputComponentProps = DefaultInputComponentProps> = Props<InputComponentProps, FormValues>;

export type PhoneInputType = <FormValues extends FieldValues = DefaultFormValues, InputComponentProps = DefaultInputComponentProps>(props: PhoneInputProps<FormValues, InputComponentProps>) => JSX.Element;